import { BuilderField } from '../fb/models/builder.model';
export declare class BuilderHelper {
    static isHidden(control: BuilderField, forced?: boolean, shouldShow?: boolean, builderOn?: boolean): boolean;
    static ControlType(type: string | number): string;
    static ControlGroupType(type: string | number): "input" | "form" | "design" | "undefined";
    static controlGroupType(num: number): "input" | "form" | "design" | "undefined";
    static isInputField(num: number): boolean;
    static isFormField(num: number): boolean;
    static isDesignField(num: number): boolean;
    static EFormElement: Readonly<{
        PrimaryKey: number;
        Lookup: number;
        Picklist: number;
        Checkboxlist: number;
        Text: number;
        Html: number;
        Integer: number;
        Float: number;
        Money: number;
        Boolean: number;
        DateTime: number;
        EditableGrid: number;
        Image: number;
    }>;
    static inputFields: string[];
    static formFields: string[];
    static designFields: string[];
    /**
     * Dublicate identifiers of same control but with different name(ex: Text > TextField, Float > NumberField).
     */
    static FieldsAssigns: {
        'Text': string;
        'Integer': string;
        'Float': string;
        'Money': string;
        'Boolean': string;
    };
}
